Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.orm.castor
Class SignListType

    java.lang.Object
      org.kemet.orm.castor.SignListType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SignList

    public class SignListType

extends java.lang.Object
implements java.io.Serializable

Class SignListType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`SignListType()`

Method Summary
`void` | `addSignListTypeItem(int index, SignListTypeItem vSignListTypeItem)`
`void` | `addSignListTypeItem(SignListTypeItem vSignListTypeItem)`
`java.util.Enumeration` | `enumerateSignListTypeItem()` Method enumerateSignListTypeItem.
`SignListTypeItem[]` | `getSignListTypeItem()` Method getSignListTypeItem.Returns the contents of the collection in an Array.
`SignListTypeItem` | `getSignListTypeItem(int index)` Method getSignListTypeItem.
`int` | `getSignListTypeItemCount()` Method getSignListTypeItemCount.
`boolean` | `isValid()` Method isValid.
`java.util.Iterator` | `iterateSignListTypeItem()` Method iterateSignListTypeItem.
`void` | `marshal(org.xml.sax.ContentHandler handler)`
`void` | `marshal(java.io.Writer out)`
`void` | `removeAllSignListTypeItem()`
`boolean` | `removeSignListTypeItem(SignListTypeItem vSignListTypeItem)` Method removeSignListTypeItem.
`SignListTypeItem` | `removeSignListTypeItemAt(int index)` Method removeSignListTypeItemAt.
`void` | `setSignListTypeItem(int index, SignListTypeItem vSignListTypeItem)`
`void` | `setSignListTypeItem(SignListTypeItem[] vSignListTypeItemArray)`
`static SignListType` | `unmarshal(java.io.Reader reader)` Method unmarshal.
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignListType

    public SignListType()

Method Detail

### addSignListTypeItem

    public void addSignListTypeItem(SignListTypeItem vSignListTypeItem)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `vSignListTypeItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### addSignListTypeItem

    public void addSignListTypeItem(int index,
                                    SignListTypeItem vSignListTypeItem)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSignListTypeItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### enumerateSignListTypeItem

    public java.util.Enumeration enumerateSignListTypeItem()

  Method enumerateSignListTypeItem.

  Returns:
    an Enumeration over all possible elements of this collection

### getSignListTypeItem

    public SignListTypeItem getSignListTypeItem(int index)
                                         throws java.lang.IndexOutOfBoundsException

  Method getSignListTypeItem.

  Parameters:
    `index` -
  Returns:
    the value of the org.kemet.orm.castor.SignListTypeItem at the given index
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### getSignListTypeItem

    public SignListTypeItem[] getSignListTypeItem()

  Method getSignListTypeItem.Returns the contents of the collection in an Array.

  Note: Just in case the collection contents are changing in another thread, we pass a 0-length Array of the correct type into the API call. This way we know that the Array returned is of exactly the correct length.

  Returns:
    this collection as an Array

### getSignListTypeItemCount

    public int getSignListTypeItemCount()

  Method getSignListTypeItemCount.

  Returns:
    the size of this collection

### isValid

    public boolean isValid()

  Method isValid.

  Returns:
    true if this object is valid according to the schema

### iterateSignListTypeItem

    public java.util.Iterator iterateSignListTypeItem()

  Method iterateSignListTypeItem.

  Returns:
    an Iterator over all possible elements in this collection

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### marshal

    public void marshal(org.xml.sax.ContentHandler handler)
                 throws java.io.IOException,
                        org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `java.io.IOException` - if an IOException occurs during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling

### removeAllSignListTypeItem

    public void removeAllSignListTypeItem()

### removeSignListTypeItem

    public boolean removeSignListTypeItem(SignListTypeItem vSignListTypeItem)

  Method removeSignListTypeItem.

  Parameters:
    `vSignListTypeItem` -
  Returns:
    true if the object was removed from the collection.

### removeSignListTypeItemAt

    public SignListTypeItem removeSignListTypeItemAt(int index)

  Method removeSignListTypeItemAt.

  Parameters:
    `index` -
  Returns:
    the element removed from the collection

### setSignListTypeItem

    public void setSignListTypeItem(int index,
                                    SignListTypeItem vSignListTypeItem)
                             throws java.lang.IndexOutOfBoundsException

  Parameters:
    `index` -
    `vSignListTypeItem` -
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the index given is outside the bounds of the collection

### setSignListTypeItem

    public void setSignListTypeItem(SignListTypeItem[] vSignListTypeItemArray)

  Parameters:
    `vSignListTypeItemArray` -

### unmarshal

    public static SignListType unmarshal(java.io.Reader reader)
                                  throws org.exolab.castor.xml.MarshalException,
                                         org.exolab.castor.xml.ValidationException

  Method unmarshal.

  Parameters:
    `reader` -
  Returns:
    the unmarshaled org.kemet.orm.castor.SignListType
  Throws:
    `org.exolab.castor.xml.MarshalException` - if object is null or if any SAXException is thrown during marshaling
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException` - if this object is an invalid instance according to the schema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.